Subject: Re: bug#38681: Emacs 27.0.50: [Feature request for tabs] Create new tab with a name.

From: HaiJun Zhang <[email-masked]>
Date: Sun, 22 Dec 2019 19:12:28 +0800

在 2019年12月22日 +0800 AM7:23，Juri Linkov <[email-masked]>，写道：
> Yes, there is the new command ‘C-x t RET' developed in bug#38624.
>

Thanks.

> What do you think about using 'C-x t RET' to create a new tab
> with the provided name?
>
> This could work like 'C-x b': when there is a buffer with that name
> already exists, then switch to it, otherwise create a new buffer
> with that name.
>
> 'C-x t RET' could work the same way: when there is a tab with that name
> already exists, then switch to it, otherwise create a new tab
> with that name.

It is OK. If it doesn’t create new tab, it will be better to me.

I think I will not create too many tabs. Instead, I will create constant number of tabs like this:
1. “source code”: for editing source code
2. “docs”: for editing documents
3. “debug": the debug view
4. “notes”: for writing notes, often with org mode files
5. “email”: for reading email with gnus

I will create these tabs in my emacs config file. And I think I will hardly create any temporary tabs and tabs other than the constant ones.
So I would like ‘C-x t RET’ not to create new tab when I input a tab name with typo. Or I want a command which just switches to an existing tab and doesn’t create new tabs.